clang-tools 10.0.0

Namespaces | Macros | Functions
FindTarget.cpp File Reference
`#include "FindTarget.h"`
`#include "AST.h"`
`#include "Logger.h"`
`#include "clang/AST/ASTTypeTraits.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/DeclVisitor.h"`
`#include "clang/AST/DeclarationName.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/ExprObjC.h"`
`#include "clang/AST/NestedNameSpecifier.h"`
`#include "clang/AST/PrettyPrinter.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/AST/StmtVisitor.h"`
`#include "clang/AST/TemplateBase.h"`
`#include "clang/AST/Type.h"`
`#include "clang/AST/TypeLoc.h"`
`#include "clang/AST/TypeLocVisitor.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/OperatorKinds.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <utility>`
`#include <vector>`
Include dependency graph for FindTarget.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Macros
#define | REL_CASE(X)

## Functions
llvm::SmallVector< std::pair< const NamedDecl *, DeclRelationSet >, 1 > | clang::clangd::allTargetDecls (const ast_type_traits::DynTypedNode &)
| Similar to targetDecl(), however instead of applying a filter, all possible decls are returned along with their DeclRelationSets. More...
llvm::SmallVector< const NamedDecl *, 1 > | clang::clangd::targetDecl (const ast_type_traits::DynTypedNode &, DeclRelationSet Mask)
| targetDecl() finds the declaration referred to by an AST node. More...
llvm::SmallVector< const NamedDecl *, 1 > | clang::clangd::explicitReferenceTargets (DynTypedNode N, DeclRelationSet Mask)
void | clang::clangd::findExplicitReferences (const Stmt *S, llvm::function_ref< void(ReferenceLoc)> Out)
| Recursively traverse `S` and report all references explicitly written in the code. More...
void | clang::clangd::findExplicitReferences (const Decl *D, llvm::function_ref< void(ReferenceLoc)> Out)
void | clang::clangd::findExplicitReferences (const ASTContext &AST, llvm::function_ref< void(ReferenceLoc)> Out)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, DeclRelation R)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, DeclRelationSet RS)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, ReferenceLoc R)

## Macro Definition Documentation

## ◆ REL_CASE

#define REL_CASE | ( |  | X | ) |

Value:
case DeclRelation::X: \
return OS << #X;
clang::tidy::abseil::X
static ClangTidyModuleRegistry::Add< AbseilModule > X("abseil-module", "Add Abseil checks.")